> ## Documentation Index
>
> Fetch the complete documentation index at: [/llms.txt](https://developer.fabric.inc/llms.txt)
>
> Use this file to discover all available pages before exploring further.

[Skip to main content](https://developer.fabric.inc/v3/dropship/api-reference/merchant/invoice/get-invoice-by-id#content-area)

Get invoice details

cURL

```
curl --request GET \
  --url https://marketplace-api.fabric.inc/v1/retailers/{retailer_id}/invoices/{id}/ \
  --header 'Authorization: Bearer <token>'
```

```
import requests

url = "https://marketplace-api.fabric.inc/v1/retailers/{retailer_id}/invoices/{id}/"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
```

```
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://marketplace-api.fabric.inc/v1/retailers/{retailer_id}/invoices/{id}/', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

```


```

200

```
{
  "invoice_number": "RC123456",
  "id": 1,
  "retailer": {
    "name": "Demo Retailer",
    "code": "demo-retailer",
    "id": 500,
    "logo_url": "https://images.demo.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/logo-lg.png",
    "cover_url": "https://images.sampke.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/cover.jpg",
    "profile_tile_url": "https://images.demo.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/profile-tile.jpg",
    "joined_at": "2021-08-03T17:24:12Z",
    "is_rcn_retailer": false,
    "is_onboarded": false,
    "platform": "fabric",
    "requires_subscription": "disabled",
    "brand_permit_creation_allowed": false,
    "website": "https://demoabc.com",
    "status": "active"
  },
  "brand": {
    "code": "demo-brand",
    "id": 500,
    "name": "Marla Cielo",
    "joined_at": "2022-09-10T15:24:56Z",
    "logo_url": "https://images.revcascade.com/retailers/defaults/logo-lg.png",
    "cover_url": "https://images.revcascade.com/retailers/defaults/cover.png",
    "profile_tile_url": "https://images.revcascade.com/retailers/defaults/profile-tile.png",
    "website": null,
    "is_onboarded": false,
    "is_on_rcn": false,
    "requires_subscription": "enabled",
    "subscription_expires_at": "2024-09-19T13:32:10Z",
    "grace_period_ends_at": "2024-10-26T13:32:10Z",
    "subscription_is_expired": false,
    "subscription_is_on_grace_period": false,
    "subscription_is_delinquent": false,
    "inventory_policy": "managed",
    "status": "active"
  },
  "connection_id": 2,
  "currency": {
    "id": 1,
    "name": "United States Dollar",
    "symbol": "$",
    "unit": "USD"
  },
  "terms_type": "Previously agreed upon",
  "terms_description": "Previously agreed upon terms will apply",
  "terms_net_days_due": 35,
  "terms_date_due": null,
  "terms_discount_percent": null,
  "order_id": "O-654",
  "customer_order_number": "CO-435",
  "purchase_order_number": "PO-546",
  "status": "closed",
  "remit_to": {
    "name1": "Demo Brand, Inc",
    "street1": "1332 Hermosa Ave",
    "city": "Hermosa Beach",
    "province": "CA",
    "postal_code": "90254",
    "country": "US",
    "id": 10,
    "type": "residential",
    "name2": null,
    "street2": null,
    "phone1": "3105551212",
    "phone2": "3105551213",
    "fax": null,
    "email": null,
    "federal_tax_id": null
  },
  "ship_from": {
    "name1": "Demo Brand, Inc",
    "street1": "1332 Hermosa Ave",
    "city": "Hermosa Beach",
    "province": "CA",
    "postal_code": "90254",
    "country": "US",
    "id": 10,
    "type": "residential",
    "name2": null,
    "street2": null,
    "phone1": "3105551212",
    "phone2": "3105551213",
    "fax": null,
    "email": null,
    "federal_tax_id": null
  },
  "sold_to": {
    "name1": "Demo Brand, Inc",
    "street1": "1332 Hermosa Ave",
    "city": "Hermosa Beach",
    "province": "CA",
    "postal_code": "90254",
    "country": "US",
    "id": 10,
    "type": "residential",
    "name2": null,
    "street2": null,
    "phone1": "3105551212",
    "phone2": "3105551213",
    "fax": null,
    "email": null,
    "federal_tax_id": null
  },
  "ship_to": {
    "name1": "Demo Brand, Inc",
    "street1": "1332 Hermosa Ave",
    "city": "Hermosa Beach",
    "province": "CA",
    "postal_code": "90254",
    "country": "US",
    "id": 10,
    "type": "residential",
    "name2": null,
    "street2": null,
    "phone1": "3105551212",
    "phone2": "3105551213",
    "fax": null,
    "email": null,
    "federal_tax_id": null
  },
  "shipping_carrier_name": "ALZ carrier",
  "shipping_carrier_code": "230F",
  "shipping_account_number": "SH879",
  "shipping_method_name": "Next day delivery",
  "shipping_method_code": "ND",
  "shipping_tracking_number": "1Z9999999999999988",
  "shipping_weight": "7.00",
  "notes": "Signature required",
  "invoiced_at": "2022-05-10T15:24:56Z",
  "ordered_at": "2022-05-10T15:24:56Z",
  "shipped_at": "2022-05-10T15:24:56Z",
  "acknowledged_at": "2022-06-10T15:24:56Z",
  "paid_at": "2022-06-10T15:24:56Z",
  "closed_at": null,
  "canceled_at": null,
  "allowances": [\
    {\
      "description": "Sample-discount-allowance",\
      "price": "12.10",\
      "id": 1,\
      "adjustment_code": {\
        "adjustment_type": "Allowance",\
        "code": "returns_allowance",\
        "description": "returns_allowance",\
        "id": 1\
      }\
    }\
  ],
  "charges": [\
    {\
      "description": "Sample invoice and its description",\
      "price": "23.45",\
      "id": 654,\
      "adjustment_code": {\
        "adjustment_type": "Allowance",\
        "code": "returns_allowance",\
        "description": "returns_allowance",\
        "id": 1\
      }\
    }\
  ],
  "invoice_lines": [\
    {\
      "quantity": 45,\
      "price": "12.00",\
      "id": 765,\
      "variant": {\
        "id": 100024,\
        "name": "T-Shirt, Blue, L",\
        "brand": {\
          "code": "demo-brand",\
          "id": 500,\
          "name": "Marla Cielo",\
          "joined_at": "2022-09-10T15:24:56Z",\
          "logo_url": "https://images.revcascade.com/retailers/defaults/logo-lg.png",\
          "cover_url": "https://images.revcascade.com/retailers/defaults/cover.png",\
          "profile_tile_url": "https://images.revcascade.com/retailers/defaults/profile-tile.png",\
          "website": null,\
          "is_onboarded": false,\
          "is_on_rcn": false,\
          "requires_subscription": "enabled",\
          "subscription_expires_at": "2024-09-19T13:32:10Z",\
          "grace_period_ends_at": "2024-10-26T13:32:10Z",\
          "subscription_is_expired": false,\
          "subscription_is_on_grace_period": false,\
          "subscription_is_delinquent": false,\
          "inventory_policy": "managed",\
          "status": "active"\
        },\
        "brand_identifier": "1000-BL-L",\
        "identifier": "5000001",\
        "upc": 9119119111,\
        "cartons": [\
          {\
            "id": 48,\
            "number": 1,\
            "length": "1",\
            "length_unit": "1",\
            "width": "1",\
            "width_unit": "meter",\
            "height": "1",\
            "height_unit": "meter",\
            "weight": "15",\
            "weight_unit": "KG",\
            "package_girth_inches": "1",\
            "package_size_inches": "1"\
          }\
        ],\
        "color": "Red",\
        "style": "Print",\
        "size": "Large",\
        "media": [\
          {\
            "id": 249,\
            "width": 100,\
            "height": 100,\
            "media": "default",\
            "priority": 1,\
            "url": "https://cdn.example.com/media/default/original",\
            "updated_at": "2022-09-10T15:24:56Z",\
            "created_at": "2022-08-10T15:24:56Z"\
          }\
        ],\
        "attributes": [\
          {\
            "code": "size",\
            "name": "Size",\
            "type": "money",\
            "id": 44,\
            "editable_by": "brand",\
            "grouping": "general",\
            "description": "demo product description",\
            "units": "USD",\
            "values": {\
              "id": 123,\
              "value": "<string>",\
              "unit": {\
                "id": 677,\
                "name": "Sample unit",\
                "standard_unit": "<string>",\
                "type": "cost",\
                "system": "metric",\
                "symbol": "USD"\
              },\
              "retailer": {\
                "name": "Demo Retailer",\
                "code": "demo-retailer",\
                "id": 500,\
                "logo_url": "https://images.demo.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/logo-lg.png",\
                "cover_url": "https://images.sampke.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/cover.jpg",\
                "profile_tile_url": "https://images.demo.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/profile-tile.jpg",\
                "joined_at": "2021-08-03T17:24:12Z",\
                "is_rcn_retailer": false,\
                "is_onboarded": false,\
                "platform": "fabric",\
                "requires_subscription": "disabled",\
                "brand_permit_creation_allowed": false,\
                "website": "https://demoabc.com",\
                "status": "active"\
              },\
              "updated_at": "2023-11-07T05:31:56Z",\
              "created_at": "2023-11-07T05:31:56Z"\
            }\
          }\
        ],\
        "ruleset_variants": [\
          {\
            "id": 1232,\
            "status": "processing",\
            "results": "<string>",\
            "created_at": "2022-08-10T15:24:56Z",\
            "updated_at": "2022-09-10T15:24:56Z"\
          }\
        ],\
        "ruleset_variant_summary": "21",\
        "active_permit": {\
          "id": 10104,\
          "retailer": {\
            "name": "Demo Retailer",\
            "code": "demo-retailer",\
            "id": 500,\
            "logo_url": "https://images.demo.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/logo-lg.png",\
            "cover_url": "https://images.sampke.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/cover.jpg",\
            "profile_tile_url": "https://images.demo.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/profile-tile.jpg",\
            "joined_at": "2021-08-03T17:24:12Z",\
            "is_rcn_retailer": false,\
            "is_onboarded": false,\
            "platform": "fabric",\
            "requires_subscription": "disabled",\
            "brand_permit_creation_allowed": false,\
            "website": "https://demoabc.com",\
            "status": "active"\
          },\
          "retailer_price": "12.99",\
          "retailer_cost": "8.99",\
          "pricing": {},\
          "attributes": {},\
          "start_at": "2021-09-10T15:24:56Z",\
          "end_at": "2024-09-10T15:24:56Z",\
          "is_in_effect": true,\
          "revoked_at": "2022-09-10T15:24:56Z",\
          "is_acknowledged": true,\
          "acknowledged_at": "2022-09-10T15:24:56Z"\
        },\
        "permits": [\
          {\
            "id": 10104,\
            "retailer": {\
              "name": "Demo Retailer",\
              "code": "demo-retailer",\
              "id": 500,\
              "logo_url": "https://images.demo.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/logo-lg.png",\
              "cover_url": "https://images.sampke.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/cover.jpg",\
              "profile_tile_url": "https://images.demo.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/profile-tile.jpg",\
              "joined_at": "2021-08-03T17:24:12Z",\
              "is_rcn_retailer": false,\
              "is_onboarded": false,\
              "platform": "fabric",\
              "requires_subscription": "disabled",\
              "brand_permit_creation_allowed": false,\
              "website": "https://demoabc.com",\
              "status": "active"\
            },\
            "retailer_price": "12.99",\
            "retailer_cost": "8.99",\
            "pricing": {},\
            "attributes": {},\
            "start_at": "2021-09-10T15:24:56Z",\
            "end_at": "2024-09-10T15:24:56Z",\
            "is_in_effect": true,\
            "revoked_at": "2022-09-10T15:24:56Z",\
            "is_acknowledged": true,\
            "acknowledged_at": "2022-09-10T15:24:56Z"\
          }\
        ],\
        "is_compatible": true,\
        "proposal_variant": {\
          "id": 3456,\
          "pricing": "12.00",\
          "attributes": [\
            {\
              "id": 123,\
              "value": "<string>",\
              "unit": {\
                "id": 677,\
                "name": "Sample unit",\
                "standard_unit": "<string>",\
                "type": "cost",\
                "system": "metric",\
                "symbol": "USD"\
              },\
              "retailer": {\
                "name": "Demo Retailer",\
                "code": "demo-retailer",\
                "id": 500,\
                "logo_url": "https://images.demo.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/logo-lg.png",\
                "cover_url": "https://images.sampke.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/cover.jpg",\
                "profile_tile_url": "https://images.demo.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/profile-tile.jpg",\
                "joined_at": "2021-08-03T17:24:12Z",\
                "is_rcn_retailer": false,\
                "is_onboarded": false,\
                "platform": "fabric",\
                "requires_subscription": "disabled",\
                "brand_permit_creation_allowed": false,\
                "website": "https://demoabc.com",\
                "status": "active"\
              },\
              "updated_at": "2023-11-07T05:31:56Z",\
              "created_at": "2023-11-07T05:31:56Z"\
            }\
          ],\
          "memos": [\
            {\
              "id": 1234,\
              "text": "Immediate requirement",\
              "visibility": "any",\
              "acknowledged_at": "2022-01-10T15:24:56Z",\
              "notify_people": true,\
              "created_by": {\
                "id": 542,\
                "first_name": "Sample",\
                "last_name": "Demo",\
                "title": "Demo",\
                "status": "Active",\
                "type": "standard",\
                "photo_url": "https://assets.demo.com/attachments/path_to_attachment/attachment.pdf",\
                "profile_photo": "https://assets.demo.com/attachments/path_to_attachment/attachment.pdf",\
                "is_me": true\
              },\
              "created_by_context": "retailer",\
              "created_at": "2021-09-10T15:24:56Z",\
              "updated_at": "2022-09-10T15:24:56Z"\
            }\
          ],\
          "issues": [\
            {\
              "id": 123,\
              "memos": [\
                {\
                  "id": 1234,\
                  "text": "Immediate requirement",\
                  "visibility": "any",\
                  "acknowledged_at": "2022-01-10T15:24:56Z",\
                  "notify_people": true,\
                  "created_by": {\
                    "id": 542,\
                    "first_name": "Sample",\
                    "last_name": "Demo",\
                    "title": "Demo",\
                    "status": "Active",\
                    "type": "standard",\
                    "photo_url": "https://assets.demo.com/attachments/path_to_attachment/attachment.pdf",\
                    "profile_photo": "https://assets.demo.com/attachments/path_to_attachment/attachment.pdf",\
                    "is_me": true\
                  },\
                  "created_by_context": "retailer",\
                  "created_at": "2021-09-10T15:24:56Z",\
                  "updated_at": "2022-09-10T15:24:56Z"\
                }\
              ],\
              "created_at": "2023-11-07T05:31:56Z",\
              "updated_at": "2023-11-07T05:31:56Z",\
              "resolved_at": "2023-11-07T05:31:56Z",\
              "is_resolved": "<string>",\
              "issue_id": 123,\
              "message": "<string>",\
              "title": "<string>"\
            }\
          ],\
          "variant_id": 249,\
          "approved_at": "2022-10-10T15:24:56Z",\
          "created_at": "2022-07-10T15:24:56Z",\
          "updated_at": "2022-09-10T15:24:56Z",\
          "rejected_at": null,\
          "reject_reason": "Incomplete",\
          "reject": true,\
          "approve": false,\
          "delete": false\
        },\
        "retailer_identifiers": {\
          "id": 5642,\
          "retailer": {\
            "name": "Demo Retailer",\
            "code": "demo-retailer",\
            "id": 500,\
            "logo_url": "https://images.demo.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/logo-lg.png",\
            "cover_url": "https://images.sampke.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/cover.jpg",\
            "profile_tile_url": "https://images.demo.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/profile-tile.jpg",\
            "joined_at": "2021-08-03T17:24:12Z",\
            "is_rcn_retailer": false,\
            "is_onboarded": false,\
            "platform": "fabric",\
            "requires_subscription": "disabled",\
            "brand_permit_creation_allowed": false,\
            "website": "https://demoabc.com",\
            "status": "active"\
          },\
          "identifier": "SKU976",\
          "name": "Retailer Sample"\
        },\
        "retailer_categories": {\
          "category": "CategoryANC",\
          "id": 453,\
          "retailer": {\
            "name": "Demo Retailer",\
            "code": "demo-retailer",\
            "id": 500,\
            "logo_url": "https://images.demo.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/logo-lg.png",\
            "cover_url": "https://images.sampke.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/cover.jpg",\
            "profile_tile_url": "https://images.demo.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/profile-tile.jpg",\
            "joined_at": "2021-08-03T17:24:12Z",\
            "is_rcn_retailer": false,\
            "is_onboarded": false,\
            "platform": "fabric",\
            "requires_subscription": "disabled",\
            "brand_permit_creation_allowed": false,\
            "website": "https://demoabc.com",\
            "status": "active"\
          }\
        },\
        "inventory": {\
          "inventory_updated_at": "2022-09-10T15:24:56Z",\
          "inventory_last_submitted_at": "2022-09-10T15:24:56Z",\
          "brand_inventory_updated_at": "2022-09-10T15:24:56Z",\
          "sellable_updated_at": "2022-11-10T15:24:56Z",\
          "estimated_availability_date": "2022-09-10T15:24:56Z",\
          "discontinued": true,\
          "discontinued_updated_at": null,\
          "inventory": 0,\
          "sellable": "No",\
          "replenishable": true,\
          "locations": [\
            {\
              "id": 1,\
              "address": {\
                "name1": "Demo Brand, Inc",\
                "street1": "1332 Hermosa Ave",\
                "city": "Hermosa Beach",\
                "province": "CA",\
                "postal_code": "90254",\
                "country": "US",\
                "id": 10,\
                "type": "residential",\
                "name2": null,\
                "street2": null,\
                "phone1": "3105551212",\
                "phone2": "3105551213",\
                "fax": null,\
                "email": null,\
                "federal_tax_id": null\
              },\
              "inventory": 0,\
              "nickname": "LA Warehouse"\
            }\
          ]\
        }\
      },\
      "invoice_line_number": 2,\
      "item_brand_identifier": "Vend134",\
      "item_upc": "911911911112",\
      "name": "SamPro1",\
      "description": "Sample description of product",\
      "canceled_at": null,\
      "retail_price": "14.00"\
    }\
  ],
  "net_amount": "12.89",
  "due_amount": "2.89",
  "expected_due_amount": "2.89",
  "subtotal": "10.89",
  "tax": "2.00",
  "invoice_acceptance": {
    "id": 565,
    "accepted_by": {
      "id": 542,
      "first_name": "Sample",
      "last_name": "Demo",
      "title": "Demo",
      "status": "Active",
      "type": "standard",
      "photo_url": "https://assets.demo.com/attachments/path_to_attachment/attachment.pdf",
      "profile_photo": "https://assets.demo.com/attachments/path_to_attachment/attachment.pdf",
      "is_me": true
    },
    "rejected_by": {
      "id": 542,
      "first_name": "Sample",
      "last_name": "Demo",
      "title": "Demo",
      "status": "Active",
      "type": "standard",
      "photo_url": "https://assets.demo.com/attachments/path_to_attachment/attachment.pdf",
      "profile_photo": "https://assets.demo.com/attachments/path_to_attachment/attachment.pdf",
      "is_me": true
    },
    "reject_reason": "Incorrect",
    "accepted_at": "2022-08-10T15:24:56Z",
    "rejected_at": null
  }
}
```

GET

/

v1

/

retailers

/

{retailer\_id}

/

invoices

/

{id}

/

Try it

Get invoice details

cURL

```
```


```

200

#### Authorizations

[​](https://developer.fabric.inc/v3/dropship/api-reference/merchant/invoice/get-invoice-by-id#authorization-authorization)

Authorization

string

header

required

Bearer authentication header of the form `Bearer <token>`, where `<token>` is your auth token.

#### Path Parameters

[​](https://developer.fabric.inc/v3/dropship/api-reference/merchant/invoice/get-invoice-by-id#parameter-retailer-id)

retailer\_id

integer

required

The unique retailer ID. In the Dropship UI this is called the Merchant ID. To find your Merchant ID, click your merchant name in the top nav.

Example:

`1001`

[​](https://developer.fabric.inc/v3/dropship/api-reference/merchant/invoice/get-invoice-by-id#parameter-id)

id

integer

required

The unique invoice ID. This ID is automatically generated when an invoice is created.

Example:

`5005`

#### Response

200 - application/json

Invoice details

[​](https://developer.fabric.inc/v3/dropship/api-reference/merchant/invoice/get-invoice-by-id#response-invoice-number)

invoice\_number

string

required

Invoice number

Required string length: `1 - 32`

Example:

`"RC123456"`

[​](https://developer.fabric.inc/v3/dropship/api-reference/merchant/invoice/get-invoice-by-id#response-id)

id

integer

read-only

Invoice ID

Example:

`1`

[​](https://developer.fabric.inc/v3/dropship/api-reference/merchant/invoice/get-invoice-by-id#response-retailer)

retailer

object

Showchild attributes

[​](https://developer.fabric.inc/v3/dropship/api-reference/merchant/invoice/get-invoice-by-id#response-brand)

brand

object

Showchild attributes

[​](https://developer.fabric.inc/v3/dropship/api-reference/merchant/invoice/get-invoice-by-id#response-connection-id)

connection\_id

string

read-only

Connection ID

Example:

`2`

[​](https://developer.fabric.inc/v3/dropship/api-reference/merchant/invoice/get-invoice-by-id#response-currency)

currency

object

Showchild attributes

[​](https://developer.fabric.inc/v3/dropship/api-reference/merchant/invoice/get-invoice-by-id#response-terms-type-one-of-0)

terms\_type

enum<string> \| null

Types of invoice terms

Available options:

`End of Month (EOM)`,

`No Charge`,

`Consignment`,

`10 Days After End of Month (10 EOM)`,

`Cash Discount Terms Apply`,

`Basic`,

`Fixed Date, Late Payment Penalty Applies`,

`Extended`,

`Discount Not Applicable`,

`Fixed Date`,

`Previously agreed upon`

Example:

`"Previously agreed upon"`

[​](https://developer.fabric.inc/v3/dropship/api-reference/merchant/invoice/get-invoice-by-id#response-terms-description-one-of-0)

terms\_description

string \| null

Description of invoice terms

Example:

`"Previously agreed upon terms will apply"`

[​](https://developer.fabric.inc/v3/dropship/api-reference/merchant/invoice/get-invoice-by-id#response-terms-net-days-due-one-of-0)

terms\_net\_days\_due

integer \| null

Number of days to pay invoice

Required range: `-2147483648 <= x <= 2147483647`

Example:

`35`

[​](https://developer.fabric.inc/v3/dropship/api-reference/merchant/invoice/get-invoice-by-id#response-terms-date-due-one-of-0)

terms\_date\_due

string<date> \| null

Payment expected date

Example:

`null`

[​](https://developer.fabric.inc/v3/dropship/api-reference/merchant/invoice/get-invoice-by-id#response-terms-discount-percent-one-of-0)

terms\_discount\_percent

string<decimal> \| null

Discount percentage on selected term

Example:

`null`

[​](https://developer.fabric.inc/v3/dropship/api-reference/merchant/invoice/get-invoice-by-id#response-order-id)

order\_id

integer

Order ID related to invoice

Example:

`"O-654"`

[​](https://developer.fabric.inc/v3/dropship/api-reference/merchant/invoice/get-invoice-by-id#response-customer-order-number-one-of-0)

customer\_order\_number

string \| null

Customer order number (for enduser)

Maximum string length: `64`

Example:

`"CO-435"`

[​](https://developer.fabric.inc/v3/dropship/api-reference/merchant/invoice/get-invoice-by-id#response-purchase-order-number-one-of-0)

purchase\_order\_number

string \| null

Purchase order number (for retailer)

Maximum string length: `64`

Example:

`"PO-546"`

[​](https://developer.fabric.inc/v3/dropship/api-reference/merchant/invoice/get-invoice-by-id#response-status)

status

enum<string>

Invoice status

Available options:

`closed`,

`open`

Example:

`"closed"`

[​](https://developer.fabric.inc/v3/dropship/api-reference/merchant/invoice/get-invoice-by-id#response-remit-to)

remit\_to

object

Showchild attributes

[​](https://developer.fabric.inc/v3/dropship/api-reference/merchant/invoice/get-invoice-by-id#response-ship-from)

ship\_from

object

Showchild attributes

[​](https://developer.fabric.inc/v3/dropship/api-reference/merchant/invoice/get-invoice-by-id#response-sold-to)

sold\_to

object

Showchild attributes

[​](https://developer.fabric.inc/v3/dropship/api-reference/merchant/invoice/get-invoice-by-id#response-ship-to)

ship\_to

object

Showchild attributes

[​](https://developer.fabric.inc/v3/dropship/api-reference/merchant/invoice/get-invoice-by-id#response-shipping-carrier-name-one-of-0)

shipping\_carrier\_name

string \| null

Name of shipping carrier

Maximum string length: `32`

Example:

`"ALZ carrier"`

[​](https://developer.fabric.inc/v3/dropship/api-reference/merchant/invoice/get-invoice-by-id#response-shipping-carrier-code-one-of-0)

shipping\_carrier\_code

string \| null

Code of shipping carrier

Maximum string length: `32`

Example:

`"230F"`

[​](https://developer.fabric.inc/v3/dropship/api-reference/merchant/invoice/get-invoice-by-id#response-shipping-account-number-one-of-0)

shipping\_account\_number

string \| null

Shipping account number

Maximum string length: `32`

Example:

`"SH879"`

[​](https://developer.fabric.inc/v3/dropship/api-reference/merchant/invoice/get-invoice-by-id#response-shipping-method-name-one-of-0)

shipping\_method\_name

string \| null

Name of shipping method

Maximum string length: `32`

Example:

`"Next day delivery"`

[​](https://developer.fabric.inc/v3/dropship/api-reference/merchant/invoice/get-invoice-by-id#response-shipping-method-code-one-of-0)

shipping\_method\_code

string \| null

Code of shipping method

Maximum string length: `32`

Example:

`"ND"`

[​](https://developer.fabric.inc/v3/dropship/api-reference/merchant/invoice/get-invoice-by-id#response-shipping-tracking-number-one-of-0)

shipping\_tracking\_number

string \| null

Shipping tracking number

Maximum string length: `32`

Example:

`"1Z9999999999999988"`

[​](https://developer.fabric.inc/v3/dropship/api-reference/merchant/invoice/get-invoice-by-id#response-shipping-weight-one-of-0)

shipping\_weight

string<decimal> \| null

Shipping weight

Example:

`"7.00"`

[​](https://developer.fabric.inc/v3/dropship/api-reference/merchant/invoice/get-invoice-by-id#response-notes-one-of-0)

notes

string \| null

Additional info adding to shipping

Example:

`"Signature required"`

[​](https://developer.fabric.inc/v3/dropship/api-reference/merchant/invoice/get-invoice-by-id#response-invoiced-at-one-of-0)

invoiced\_at

string<date-time> \| null

Time when the invoice was created (UTC format).

Example:

`"2022-05-10T15:24:56Z"`

[​](https://developer.fabric.inc/v3/dropship/api-reference/merchant/invoice/get-invoice-by-id#response-ordered-at-one-of-0)

ordered\_at

string<date-time> \| null

Time of order finalization (UTC format)

Example:

`"2022-05-10T15:24:56Z"`

[​](https://developer.fabric.inc/v3/dropship/api-reference/merchant/invoice/get-invoice-by-id#response-shipped-at-one-of-0)

shipped\_at

string<date-time> \| null

Time of shipping (UTC format)

Example:

`"2022-05-10T15:24:56Z"`

[​](https://developer.fabric.inc/v3/dropship/api-reference/merchant/invoice/get-invoice-by-id#response-acknowledged-at-one-of-0)

acknowledged\_at

string<date-time> \| null

Time of retailer acknowledgement (UTC format)

Example:

`"2022-06-10T15:24:56Z"`

[​](https://developer.fabric.inc/v3/dropship/api-reference/merchant/invoice/get-invoice-by-id#response-paid-at-one-of-0)

paid\_at

string<date-time> \| null

Time of payment (UTC format)

Example:

`"2022-06-10T15:24:56Z"`

[​](https://developer.fabric.inc/v3/dropship/api-reference/merchant/invoice/get-invoice-by-id#response-closed-at-one-of-0)

closed\_at

string<date-time> \| null

Time of complete invoice payment (UTC format)

Example:

`null`

[​](https://developer.fabric.inc/v3/dropship/api-reference/merchant/invoice/get-invoice-by-id#response-canceled-at-one-of-0)

canceled\_at

string<date-time> \| null

Time of order cancellation (UTC format)

Example:

`null`

[​](https://developer.fabric.inc/v3/dropship/api-reference/merchant/invoice/get-invoice-by-id#response-allowances)

allowances

object\[\]

Showchild attributes

[​](https://developer.fabric.inc/v3/dropship/api-reference/merchant/invoice/get-invoice-by-id#response-charges)

charges

object\[\]

Showchild attributes

[​](https://developer.fabric.inc/v3/dropship/api-reference/merchant/invoice/get-invoice-by-id#response-invoice-lines)

invoice\_lines

object\[\]

read-only

Showchild attributes

[​](https://developer.fabric.inc/v3/dropship/api-reference/merchant/invoice/get-invoice-by-id#response-net-amount-one-of-0)

net\_amount

string<decimal> \| null

Total invoice amount (excluding taxes)

Example:

`"12.89"`

[​](https://developer.fabric.inc/v3/dropship/api-reference/merchant/invoice/get-invoice-by-id#response-due-amount-one-of-0)

due\_amount

string<decimal> \| null

Pending amount

Example:

`"2.89"`

[​](https://developer.fabric.inc/v3/dropship/api-reference/merchant/invoice/get-invoice-by-id#response-expected-due-amount-one-of-0)

expected\_due\_amount

string<decimal> \| null

Expected due amount (excluding _allowances_ and _charges_)

Example:

`"2.89"`

[​](https://developer.fabric.inc/v3/dropship/api-reference/merchant/invoice/get-invoice-by-id#response-subtotal-one-of-0)

subtotal

string<decimal> \| null

Sub-total

Example:

`"10.89"`

[​](https://developer.fabric.inc/v3/dropship/api-reference/merchant/invoice/get-invoice-by-id#response-tax-one-of-0)

tax

string<decimal> \| null

Total tax on the invoice

Example:

`"2.00"`

[​](https://developer.fabric.inc/v3/dropship/api-reference/merchant/invoice/get-invoice-by-id#response-invoice-acceptance)

invoice\_acceptance

object

Showchild attributes

Was this page helpful?

YesNo

[List invoices from vendors](https://developer.fabric.inc/v3/dropship/api-reference/merchant/invoice/get-invoices) [Acknowledge receipt of an invoice.](https://developer.fabric.inc/v3/dropship/api-reference/merchant/invoice/acknowledge-invoice-by-id)

Ctrl+I

Assistant

Responses are generated using AI and may contain mistakes.
